////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2020 NovAtel Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
////////////////////////////////////////////////////////////////////////////////

#ifndef __OEM7_RECEIVER_INTERFACE_HPP__
#define __OEM7_RECEIVER_INTERFACE_HPP__


#include <cstddef>

#include <rclcpp/rclcpp.hpp>


namespace novatel_oem7_driver
{
  class Oem7ReceiverIf
  {
  public:
    virtual ~Oem7ReceiverIf(){};
    
    virtual bool initialize(rclcpp::Node& node) = 0; ///< For initial connection initialization

    virtual bool read(unsigned char* data, unsigned int data_len, unsigned int& rlen) = 0; ///< Read bytes from the receiver. Should block until data received or ROS shuts down

    virtual bool write(const unsigned char* data, const unsigned int data_len) = 0; ///< Send bytes to the receiver
    
  };
}


#endif
